// bsp6a.cpp : Beispiel für allgemeine Schleifen
// Debugging  Enviromnent:  gesetzt : OMP_NUM_THREADS=4

#include "stdafx.h"

#include <omp.h>

using namespace System;

// OMP_NUM_THREADS=4
// Debugging, Enviromemt

int main(array<System::String ^> ^args)  {
	int id, numThreads;

    Console::WriteLine("Anz CPU {0}", 		
		 omp_get_num_procs() );
    int nn=8;
	// hier werden je nach Definition der Env-Var die Threads erzeugt und gestartet
	#pragma omp parallel private (id, numThreads) num_threads(nn) 

	{
		numThreads = omp_get_num_threads();
		id=omp_get_thread_num();
		Console::WriteLine("Thread id:{0}", id);
	}		

	Console::ReadLine();

	return 0;
}
